Bug 174318 - gpm strangeness with usb kb
gpm strangeness with usb kb
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gpm (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-27 16:00 EST by p thompson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.20.1-71
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 09:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p thompson 2005-11-27 16:00:12 EST
Description of problem:

"04f2:0112 Chicony Electronics Co., Ltd KU-8933 Keyboard with PS/2 Mouse port"
USB kb with a PS/2 mouse hooked to the keyboard's mouse port and nothing on 
the motherboard PS2 or kb ports.

When I switch from X session to console mode and type the command
tail --lines `stty size | awk '{print $1}'` /var/log/messages
the console session hangs unless I go to another console or back into X.

At this time the screen vibrates and eventually the command completes.
An strace of the bash process yields this:
open("/dev/tty0", O_RDONLY)             = 6
ioctl(6, KDGETMODE, 0xbfc8e640)         = 0
close(6)                                = 0
close(4)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({2, 0}, {2, 0})               = 0
open("/dev/tty0", O_RDONLY)             = 4
ioctl(4, KDGETMODE, 0xbfc8e630)         = 0
close(4)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({2, 0}, {2, 0})               = 0
open("/dev/tty0", O_RDONLY)             = 4
ioctl(4, KDGETMODE, 0xbfc8e630)         = 0
close(4)                                = 0
open("/dev/input/mice", O_RDWR)         = 4
write(4, "\364", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "\363", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "d", 1)                        = 1
read(4, "\372", 1)                      = 1
nanosleep({0, 30000000}, NULL)          = 0
ioctl(4, TCFLSH, 0)                     = -1 ENOTTY (Inappropriate ioctl for 
device)
write(4, "\364", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "\363", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "d", 1)                        = 1
read(4, "\372", 1)                      = 1
nanosleep({0, 30000000}, NULL)          = 0
ioctl(4, TCFLSH, 0)                     = -1 ENOTTY (Inappropriate ioctl for 
device)
write(4, "\363", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "\310", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "\363", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "d", 1)                        = 1
read(4, "\372", 1)                      = 1
write(4, "\363", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "P", 1)                        = 1
read(4, "\372", 1)                      = 1
nanosleep({0, 30000000}, NULL)          = 0
ioctl(4, TCFLSH, 0)                     = -1 ENOTTY (Inappropriate ioctl for 
device)
write(4, "\362", 1)                     = 1
read(4, "\372", 1)                      = 1
read(4, "\3", 1)                        = 1
write(4, "\346", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "\364", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "\363", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "d", 1)                        = 1
read(4, "\372", 1)                      = 1
write(4, "\350", 1)                     = 1
read(4, "\372", 1)                      = 1
write(4, "\3", 1)                       = 1
read(4, "\372", 1)                      = 1
nanosleep({0, 30000000}, NULL)          = 0
ioctl(4, TCFLSH, 0)                     = -1 ENOTTY (Inappropriate ioctl for 
device)
time([1133044607])                      = 1133044607
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
send(3, "<14>Nov 26 16:36:47 gpm[26747]: "..., 57, MSG_NOSIGNAL) = 57
time([1133044607])                      = 1133044607
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
send(3, "<14>Nov 26 16:36:47 gpm[26747]: "..., 57, MSG_NOSIGNAL) = 57
time([1133044607])                      = 1133044607
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1279, ...}) = 0
send(3, "<14>Nov 26 16:36:47 gpm[26747]: "..., 70, MSG_NOSIGNAL) = 70
gettimeofday({1133044607, 231796}, NULL) = 0
select(6, [4 5], NULL, NULL, {86400, 0}*** buffer overflow detected ***: 
strace terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0xab8c45]
/lib/libc.so.6(__vsprintf_chk+0x0)[0xab8510]
/lib/libc.so.6(_IO_default_xsputn+0x97)[0xa3b858]
/lib/libc.so.6(_IO_vfprintf+0x1b05)[0xa17607]
/lib/libc.so.6(__vsprintf_chk+0xa1)[0xab85b1]
/lib/libc.so.6(__sprintf_chk+0x30)[0xab8504]
strace[0x804f497]
strace[0x804c879]
strace[0x804ba80]
/lib/libc.so.6(__libc_start_main+0xdf)[0x9efd5f]
strace[0x80495d1]
======= Memory map: ========
0075c000-00765000 r-xp 00000000 03:05 92997      /lib/libgcc_s-4.0.1-
20050727.so.1
00765000-00766000 rwxp 00009000 03:05 92997      /lib/libgcc_s-4.0.1-
20050727.so.1
009bd000-009d7000 r-xp 00000000 03:05 92750      /lib/ld-2.3.5.so
009d7000-009d8000 r-xp 00019000 03:05 92750      /lib/ld-2.3.5.so
009d8000-009d9000 rwxp 0001a000 03:05 92750      /lib/ld-2.3.5.so
009db000-00afe000 r-xp 00000000 03:05 92801      /lib/libc-2.3.5.so
00afe000-00b00000 r-xp 00123000 03:05 92801      /lib/libc-2.3.5.so
00b00000-00b02000 rwxp 00125000 03:05 92801      /lib/libc-2.3.5.so
00b02000-00b04000 rwxp 00b02000 00:00 0
00c46000-00c47000 r-xp 00c46000 00:00 0          [vdso]
08047000-08071000 r-xp 00000000 03:07 1004355    /usr/bin/strace
08071000-08072000 rw-p 0002a000 03:07 1004355    /usr/bin/strace
08072000-08079000 rw-p 08072000 00:00 0
08284000-082a5000 rw-p 08284000 00:00 0          [heap]
b7fe7000-b7fe9000 rw-p b7fe7000 00:00 0
bfde1000-bfdf6000 rw-p bfde1000 00:00 0          [stack]
Aborted



Version-Release number of selected component (if applicable):

gpm-1.20.1-71

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I have not found another command which duplicates this problem.
At times, I have to 'service gpm reload' to the console mouse working again.
Often, but not always, this appears in the messages
Nov 26 17:24:19 perelandra gpm[1927]: *** info [mice.c(1766)]:
Nov 26 17:24:19 perelandra gpm[1927]: imps2: Auto-detected intellimouse PS/2

If you need a similar keyboard to test, I have ninety of them.
Comment 1 p thompson 2006-02-04 17:14:28 EST
2.6.15-1.1830_FC4 seems to correct this.
Comment 2 Petr Rockai 2006-02-15 09:19:55 EST
If this appears again please reopen (but i suspect this may be a bug somewhere     
else than gpm, also hinted by the fact kernel update caused it to go away).  
  
Closing (does not appear with kernel version 2.6.15-1.1830_FC4). 
Comment 3 p thompson 2006-02-16 22:06:14 EST
It is still happening, but I believe I found the bug that explains it.
I read this bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=181809
and upon further investigation this issue also has an overabundance of
unicode_start process while the console is hanging
root     31431  2135  0 20:57 tty1     00:00:00 -bash
root      5130 31431  3 21:02 tty1     00:00:00 -bash
root      5141  5130  3 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5152  5141  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5163  5152  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5174  5163  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5185  5174  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5196  5185  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5207  5196  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5218  5207  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5229  5218  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5240  5229  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5251  5240  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5262  5251  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5273  5262  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5284  5273  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5292  5284  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
root      5293  5292  0 21:02 tty1     00:00:00 /bin/bash /bin/unicode_start
latarcyrheb-sun16
Comment 4 Petr Rockai 2006-02-21 06:18:38 EST
Aye. Can you try using the fix from the abovementioned bug and see if it fixes    
that problem. If so, i will just mark this as a dupe of    
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=172059    
    
Thanks a lot. 

Note You need to log in before you can comment on or make changes to this bug.